org.apache.commons.jelly.impl

## Interface TagFactory

All Known Implementing Classes:
  DefaultTagFactory

    public interface TagFactory

`TagFactory` represents a Factory of `Tag` instances.

Note that this class should be re-entrant and used concurrently by multiple threads.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Method Summary

Methods
`Tag` `createTag(java.lang.String name, org.xml.sax.Attributes attributes)` Creates a Tag for the given local name and the SAX attributes

### Method Detail

#### createTag

    Tag createTag(java.lang.String name,
                org.xml.sax.Attributes attributes)
                  throws JellyException

Creates a Tag for the given local name and the SAX attributes

Throws:
  `JellyException`